﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace codefirstef
{
    public class Milestone
    {
        public Milestone()
        {
            Children = new List<Milestone>();
        }

        public int Id { get; set; }

        public string Title { get; set; }

        public DateTime StartDate { get; set; }
   
        public DateTime DueDate { get; set; }

        public virtual ICollection<Milestone> Children { get; set; }
    }

    public class Project : Milestone
    {
        public string Owner { get; set; }
    }
}
